> For the complete documentation index, see [llms.txt](https://docs.human-id.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.human-id.org/flutter-sdk-integration-guide.md).

# Flutter SDK Integration Guide

## IMPORTANT

The Flutter SDK is currently being worked on and an updated version will be released shortly. We strongly recommend waiting until the updated version is completed before integration. Please email <developers@human-id.org> with any questions you may have.

## Overview

1. [Requirements](/flutter-sdk-integration-guide.md#requirements)
2. [Installation](/flutter-sdk-integration-guide.md#installation)
3. [Credentials Access](/flutter-sdk-integration-guide.md#credentials-access)
4. [How To Use/Configuration](/flutter-sdk-integration-guide.md#how-to-use-configuration)
5. [Sample Code](/flutter-sdk-integration-guide.md#sample-code-here)

## Requirements&#x20;

* Dart
* Flutter SDK

Please update to the latest stable SDK!

## Steps

1. [Installation](/flutter-sdk-integration-guide.md#1-installation)
2. [Credentials Access](/flutter-sdk-integration-guide.md#2-credentials-access)
3. [How To Use/Configuration](/flutter-sdk-integration-guide.md#3-how-to-use-configuration)

### 1. Installation

**pubspec.yaml**

```
dependencies:
  humanid_flutter_sdk: ^0.0.4
```

### 2. Credentials Access

Get the appId and appSecret through the [App Registration Form](https://developers.human-id.org/home/).

### 3. How To Use/Configuration

**Configure HumanId SDK inside a press function**

```
import 'package:humanid_flutter_sdk/ui/human_id_sdk.dart';
import 'package:humanid_flutter_sdk/utils/authorization_arguments.dart';
import 'package:humanid_flutter_sdk/utils/routes.dart';
  
configureHumanIdSDK(
                context: context,
                arguments: AuthorizationArguments(
                  appName: 'YOUR_APP_NAME',
                  iconUrl: 'YOUR_APP_ICON',
                  clientId: 'YOUR_CLIENT_ID',
                  clientSecret: 'YOUR_CLIENT_SECRET',
                ),
                onSuccessLogin: (accessToken) {
                  setState(() {
                    token = accessToken;
                  });
                }), 
```

## Sample Code [Here](https://github.com/human-internet/humanid-fluttersdk/tree/master/example)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.human-id.org/flutter-sdk-integration-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
